# Notes / Bugfixes
## Frontend
- [] add UI for `trip_type`
- [] support esc to close sidebar
- [] after an hour(?) of inactivity -> show large popup w/ "maybe old data (ignore) (reload page)" (ignore bc maybe use is actively doing something -> don't throw input away!)

## Backend
- [] Don't show events if time > 1h(?) ago
- [] Sync w/ nextcloud
	- remove most fields (names, ...) from users and add uid
	- create user_nextcloud table; to be re-created every day(?)
- [] ics for registered trips

# Nice to have
## Frontend
- [] my trips for cox

## Backend
- [] exactly same time -> deny registration
- [] automatically add regular planned trip
- [] User sync w/ nextcloud
- [] Rocket tests for /rest
- [] same day+time: aggregate stats (x people, of which y cox and z rower)

# Frontend Process 
´cd frontend´
´npm install´
´npm run (watch/build)´


----

user
- UID
- pw
- last_access

user_details
- UID
- fn (formatted name)
- is_cox (if CATEGORIES = {Steuerleute, Bootsführer})
- is_admin (if CATEGORIES = Admin)
- is_guest (if person not in nextcloud)
